Subject: [TR] Refuelling a Spitfire

From: John Macartney <[email-masked]>
Date: Thu, 10 Mar 2022 17:43:31 +0000

I’ve been using a friends Spitfire for the last ten days and today decided to top off the tank, even though it was still half full. Toured around the local gas stations to find out where the cheapest fuel might be available. To compare like with like and remembering one US gallon is effectively 3.8 litres (gas is only sold by the litre in the U.K.) the cheapest was one US gallon cost USD 8.77. Just after lunch I passed the same gas station where the price I paid this morning had risen from 8.77 to 9..12.  Diesel was even more! Thankfully, a pint of my favourite beer hasn’t changed - yet.

Jonmac

Is the latest definition of being “learned and well-informed” showing the world on your ‘Teams’ and ‘Zoom’ meetings that you have a book-lined study full of titles that are all illegible?
** [email-masked] **

Donate: http://www.team.net/donate.html
Archive: http://www.team.net/pipermail/triumphs  http://www.team.net/archive

Unsubscribe/Manage: http://autox.team.net/mailman/options/triumphs/[email-masked]